## zenity 4.0.1

=== debian/changelog ===
zenity (4.0.1-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:33:58 +0000

zenity (4.0.1-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:59:27 +0000

zenity (4.0.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 08:21:26 +0000

zenity (4.0.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Changes and fixes since 4.0.0:
      + about: The licence is LGPL2.1+, not GPL
      + entry: Calculate number of --entry-text's properly
        (https://gitlab.gnome.org/GNOME/zenity/-/issues/75)
      + test: Add entry test in response to issue #75
      + question: fix option --default-cancel
      + calendar: Fix off-by-one in day
      + test: Add test for --calendar

 -- Amin Bandali <bandali@ubuntu.com>  Mon, 08 Jan 2024 14:30:21 -0500

zenity (4.0.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - First stable release of Zenity based on libadwaita/gtk4.
    - Several command-line options have been deprecated since 3.x.
      These deprecations will either activate an alternate action,
      or do nothing.  In either case, a deprecation warning will be
      printed to STDERR.  This is to ensure as smooth a transition
      from scripts targeting Zenity 3.x as possible.  These warnings
      may be changed to errors (corresponding options to be removed)
      in a future upstream release.
    - Changes and bugfixes since 3.99.91:
      + Add rudimentary test suite
      + progress: --auto-close and --percentage=100 don't co-mingle
      + about: Port to libadwaita; update copyright info
      + forms: Remove unused variable
      + forms: Port GtkComboBox to GtkDropDown
      + tree/colview: Implement missing --hide-header option
      + progress: OK should be clickable if --percentage=100 at the
        outset

 -- Amin Bandali <bandali@ubuntu.com>  Fri, 15 Dec 2023 16:35:13 -0500

zenity (3.99.91-1) unstable; urgency=medium

  * New upstream release
  * Switch from GTK3 to GTK4 + libadwaita
  * Update install files
    - Zenity now provides a NoDisplay .desktop and app icon for notifications
  * Drop obsolete libnotify dependency
  * Add Build-Depends: help2man
  * Stop using debian/control.in and dh_gnome_clean

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 04 Dec 2023 08:31:15 -0500

=== debian/control ===
Source: zenity
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               help2man,
               itstool,
               libadwaita-1-dev (>= 1.2),
               libglib2.0-dev,
               meson
Rules-Requires-Root: no
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/gnome-team/zenity
Vcs-Git: https://salsa.debian.org/gnome-team/zenity.git
Homepage: https://wiki.gnome.org/Projects/Zenity

Package: zenity
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zenity-common (>= ${source:Version})
Description: Display graphical dialog boxes from shell scripts
 Zenity allows you to display GTK+ dialogs from shell scripts; it is a
 rewrite of the `gdialog' command from GNOME 1.
 .
 Zenity includes a gdialog wrapper script so that it can be used with
 legacy scripts.

Package: zenity-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Display graphical dialog boxes from shell scripts (common files)
 Zenity allows you to display GTK+ dialogs from shell scripts; it is a
 rewrite of the `gdialog' command from GNOME 1.
 .
 Zenity includes a gdialog wrapper script so that it can be used with
 legacy scripts.
 .
 This package contains architecture independent files.

## zenity 4.0.2

=== debian/changelog ===
zenity (4.0.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jul 2024 07:13:15 -0400

## zenity 4.0.3

=== debian/changelog ===
zenity (4.0.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 14:18:41 -0500

## zenity 4.1.90

=== debian/changelog ===
zenity (4.1.90-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 18:10:49 -0500

## zenity 4.1.99

=== meson_options.txt ===
option('webkitgtk', type: 'boolean', value: false, description : 'enable webkitgtk support')
option('manpage', type: 'boolean', value: true, description : 'build manpage (requires help2man)')

=== debian/changelog ===
zenity (4.1.99-1) unstable; urgency=medium

  * New upstream bugfix release
    - filesel: fixes for opening provided directory
    - translation updates

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Aug 2025 16:10:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: zenity
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
@@ -12,7 +11,7 @@
                libglib2.0-dev,
                meson
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/zenity
 Vcs-Git: https://salsa.debian.org/gnome-team/zenity.git
 Homepage: https://wiki.gnome.org/Projects/Zenity

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dwebkitgtk=false \
		${NULL}

override_dh_gnome_clean:

## zenity 4.2.1

=== debian/changelog ===
zenity (4.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: Convert to format 1.0
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Feb 2026 12:45:28 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,15 @@
 Source: zenity
+Standards-Version: 4.7.3
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Section: gnome
-Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-gnome,
                help2man,
                itstool,
-               libadwaita-1-dev (>= 1.2),
+               libadwaita-1-dev,
                libglib2.0-dev,
                meson
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/zenity
 Vcs-Git: https://salsa.debian.org/gnome-team/zenity.git
 Homepage: https://wiki.gnome.org/Projects/Zenity
@@ -19,9 +17,9 @@
 Package: zenity
 Architecture: any
 Multi-Arch: foreign
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
-         zenity-common (>= ${source:Version})
+Depends: zenity-common (>= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Display graphical dialog boxes from shell scripts
  Zenity allows you to display GTK+ dialogs from shell scripts; it is a
  rewrite of the `gdialog' command from GNOME 1.
